astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- xMatch Queries (`astroquery.xmatch`) »
- XMatchClass

# XMatchClass

class astroquery.xmatch.XMatchClass

  Bases: `BaseQuery`

  Attributes Summary

  `TIMEOUT` |
  `URL` |

  Methods Summary

  `get_available_tables`(*[, cache]) | Get the list of the VizieR tables which are available in the xMatch service and return them as a list of strings.
  `is_table_available`(table_id) | Return True if the passed CDS table identifier is one of the available VizieR tables, otherwise False.
  `query`(cat1, cat2, max_distance, *[, colRA1, ...]) | Query the CDS cross-match service by finding matches between two (potentially big) catalogues.
  `query_async`(cat1, cat2, max_distance, *[, ...]) | Query the CDS cross-match service by finding matches between two (potentially big) catalogues.

  Attributes Documentation

  TIMEOUT = 300
  URL = 'http://cdsxmatch.u-strasbg.fr/xmatch/api/v1/sync'

  Methods Documentation

  get_available_tables(*, cache=True)

    Get the list of the VizieR tables which are available in the xMatch service and return them as a list of strings.

    Parameters:
      cache bool

        Defaults to True. If set overrides global caching behavior. See caching documentation.

  is_table_available(table_id)

    Return True if the passed CDS table identifier is one of the available VizieR tables, otherwise False.

  query(cat1, cat2, max_distance, *, colRA1=None, colDec1=None, colRA2=None, colDec2=None, area='allsky', cache=True, get_query_payload=False, **kwargs)

    Query the CDS cross-match service by finding matches between two (potentially big) catalogues.

    Parameters:
      cat1 str, file or `Table`

        Identifier of the first table. It can either be a URL, the payload of a local file being uploaded, a CDS table identifier (either simbad for a view of SIMBAD data / to point out a given VizieR table) or a an AstroPy table. If the table is uploaded or accessed through a URL, it must be in VOTable or CSV format with the positions in J2000 equatorial frame and as decimal degrees numbers.

      cat2 str, file or `Table`

        Identifier of the second table. Follows the same rules as cat1.

      max_distance `Quantity`

        Maximum distance to look for counterparts. Maximum allowed value is 180 arcsec.

      colRA1 str

        Name of the column holding the right ascension. Only required if `cat1` is an uploaded table or a pointer to a URL.

      colDec1 str

        Name of the column holding the declination. Only required if `cat1` is an uploaded table or a pointer to a URL.

      colRA2 str

        Name of the column holding the right ascension. Only required if `cat2` is an uploaded table or a pointer to a URL.

      colDec2 str

        Name of the column holding the declination. Only required if `cat2` is an uploaded table or a pointer to a URL.

      area `regions.CircleSkyRegion` or ‘allsky’ str

        Restrict the area taken into account when performing the xmatch Default value is ‘allsky’ (no restriction). If a `regions.CircleSkyRegion` object is given, only sources in this region will be considered.

      cache bool

        Defaults to True. If set overrides global caching behavior. See caching documentation.

    Returns:
      table `Table`

        Query results table

  query_async(cat1, cat2, max_distance, *, colRA1=None, colDec1=None, colRA2=None, colDec2=None, area='allsky', cache=True, get_query_payload=False, **kwargs)

    Query the CDS cross-match service by finding matches between two (potentially big) catalogues.

    Parameters:
      cat1 str, file or `Table`

        Identifier of the first table. It can either be a URL, the payload of a local file being uploaded, a CDS table identifier (either simbad for a view of SIMBAD data / to point out a given VizieR table) or a an AstroPy table. If the table is uploaded or accessed through a URL, it must be in VOTable or CSV format with the positions in J2000 equatorial frame and as decimal degrees numbers.

      cat2 str, file or `Table`

        Identifier of the second table. Follows the same rules as cat1.

      max_distance `Quantity`

        Maximum distance to look for counterparts. Maximum allowed value is 180 arcsec.

      colRA1 str

        Name of the column holding the right ascension. Only required if `cat1` is an uploaded table or a pointer to a URL.

      colDec1 str

        Name of the column holding the declination. Only required if `cat1` is an uploaded table or a pointer to a URL.

      colRA2 str

        Name of the column holding the right ascension. Only required if `cat2` is an uploaded table or a pointer to a URL.

      colDec2 str

        Name of the column holding the declination. Only required if `cat2` is an uploaded table or a pointer to a URL.

      area `regions.CircleSkyRegion` or ‘allsky’ str

        Restrict the area taken into account when performing the xmatch Default value is ‘allsky’ (no restriction). If a `regions.CircleSkyRegion` object is given, only sources in this region will be considered.

      cache bool

        Defaults to True. If set overrides global caching behavior. See caching documentation.

    Returns:
      response `Response`

        The HTTP response returned from the service.